.TH asmix 1 "01 November 2004" "Version 1.5"
.UC
.SH NAME
\fBasmix\fP \- the AfterStep volume control knob
.SH SYNOPSIS
.B asmix
[-h] [-V]
        [-iconic] [-shape] [-withdrawn]
        [-geometry \fI[+|-]x[+|-]y\fP]
        [-channel \fIchannel-id\fP]
        [-exe \fIcommand\fP]
        [-device \fImixer-device\fP]
        [-name \fIwindow-name\fP]
.SH DESCRIPTION
The \fBasmix\fP is a X11 application that acts as
a volume control knob for the /dev/mixer device.
The applet provides a distinctive AfterStep window
manager look.
.PP
The best thing about this applet is that you do not
have to learn how to use it. If you used any volume
knobs before - you know how to operate this one. If
you never came across such a thing then just grab
the knob with the left button of your mouse and turn
it into the position you like.
.SH CONFIGURATION OPTIONS
.IP "-h"
.RS
Prints a short description and usage message.
.RE
.IP "-V"
.RS
Version control. Prints the version of the applet.
.RE
.IP "-geometry [+|-]x[+|-]y"
.RS
Displays the window at the specified location
on the screen. This works as standard X Windows
geometry option.
.RE
.IP "-iconic"
.RS
Starts the \fBasmix\fP application in the iconized mode.
The icon has the same appearance with the main
window.
.RE
.IP "-shape"
.RS
Starts the \fBasmix\fP application without groundplate.
.RE
.IP "-withdrawn"
.RS
Starts the \fBasmix\fP applet in the "withdrawn" mode.
Necessary to be able to dock it to the Window Maker's
dock.
.RE
.IP "-channel <channel-id>"
.RS
Specifies the channel to control (default: volume).
The possible channels include:
volume, pcm, bass, treble, synth, speaker, line,
mic, cd, imix, pcm2, record, igain, ogain,
line1, line2, line3, digital1, digital2,
digital3, phone-in, phone-out, video, radio, monitor.
Note that not all systems support all channels.
.RE
.IP "-exe <command>"
.RS
The applet will execute the specified command
on a mouseclick with the middle mouse button in the window.
.RE
.IP "-device <mixer-device>"
.RS
The applet will attempt to opern the specified mixer
device instead of the standard \fI/dev/mixer\fP.
.RE
.IP "-name <window-name>"
.RS
The applet will set the name of the window to the
specified \fIwindow-name\fP instead of the standard
"\fIasmix\fP". This is useful when swallowing multiple
instances of \fBasmix\fP into the AfterStep Wharf.
.RE
.SH INVOCATION
\fBasmix\fP was written to be swallowed by the AfterStep wharf
module, but it can be used with everything else too.
A common invocation is the command line:
.nf

	user@host[1]% asmix &

.fi
Another way to call \fBasmix\fP is from the AfterStep Wharf:
.nf

	*Wharf asmix nil Swallow "asmix" asmix -shape &

.fi
This line, when placed in the \fIwharf\fP file in the users Afterstep
configuration directory will cause \fBasmix\fP to be a
button on the \fBWharf (1)\fP button bar under the \fBafterstep (1)\fP
window manager.
.SH BUGS
None that I am aware of.
.SH FILES
.I /dev/mixer
.SH "SEE ALSO"
.BR Wharf (1)
.SH COPYRIGHTS
Copyright (c) 1998 original author unknown
.sp 
Copyright (c) 1998-2004  Albert "Tigr" Dorofeev <albert@tigr.net>
.sp 
Copyright (c) 2000 John "wizgrav" Gravezas <wizgrav@netsmart.gr>
.sp
Distributed under GNU General Public License, see LICENSE file
for the details.
.SH AUTHORS
The application: original author unknown,
was maintained by Albert "Tigr" Dorofeev <albert@tigr.net>,
currently maintained by ... well, again by himself.

The man page: Albert Dorofeev <albert@tigr.net>
.sp
